JavaScript/jQuery CheckBox - Keyboard Support
An end user can use the following keys to interact with the UI component.
Key | Action |
---|---|
Space | Changes the UI component value. |
You can implement a custom handler for a key using the registerKeyHandler(key, handler) method.
JavaScript
- function registerKeyHandlers () {
- const checkBox = $("#checkBoxContainer").dxCheckBox("instance");
- checkBox.registerKeyHandler("backspace", function(e) {
- // The argument "e" contains information on the event
- });
- checkBox.registerKeyHandler("space", function(e) {
- // ...
- });
- }
See Also
- Call Methods: Angular | Vue | React | jQuery | AngularJS | Knockout | ASP.NET MVC 5 | ASP.NET Core
- CheckBox Demos
- CheckBox API Reference
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.

React CheckBox - Keyboard Support

An end user can use the following keys to interact with the UI component.

Key Action
Space Changes the UI component value.

You can implement a custom handler for a key using the registerKeyHandler(key, handler) method.

App.js
  • import React from 'react';
  • import 'devextreme/dist/css/dx.common.css';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { CheckBox } from 'devextreme-react/check-box';
  •  
  • class App extends React.Component {
  • constructor(props) {
  • super(props);
  •  
  • this.checkBoxRef = React.createRef();
  • }
  •  
  • render() {
  • return (
  • <CheckBox ref={this.checkBoxRef} />
  • );
  • }
  •  
  • get checkBox() {
  • return this.checkBoxRef.current.instance;
  • }
  •  
  • componentDidMount() {
  • this.checkBox.registerKeyHandler('backspace', function(e) {
  • // The argument "e" contains information on the event
  • });
  • this.checkBox.registerKeyHandler('space', function(e) {
  • // ...
  • });
  • }
  • }
  •  
  • export default App;
See Also